@charset "UTF-8";

:root {
    --main-width: 70%;
    --sidebar-margin: 10%;
    --sidebar-width: 30%;
}

/*
Modified version of CSS used to make https://rstudio.github.io/tufte/
Original version: https://github.com/edwardtufte/tufte-css/blob/gh-pages/tufte.css
Licence: MIT
*/

.b--double {
    border-style: double;
}

/* Tufte CSS styles */
html {
    font-size: 15px;
}

body {
    width: 100%;
    margin-left: auto;
    margin-right: auto;
    padding-left: 20px;
    padding-right: 20px;
    max-width: 1024px;
    counter-reset: sidenote-counter;
    line-height: 1.5;
    font-size: 1.0rem;
}

h1 {
    font-weight: 400;
    margin-top: 1.5rem;
    margin-bottom: 1.5rem;
    font-size: 1.5rem;
    line-height: 1;
}

h2 {
    font-style: italic;
    font-weight: 400;
    margin-top: 1.4rem;
    margin-bottom: 1.4rem;
    font-size: 1.25em;
    line-height: 1;
}

h3 {
    font-weight: 700;
    margin-top: 1.0rem;
    margin-bottom: 1.0rem;
    font-size: 1.0em;
    line-height: 1;
}

hr {
    /* display: block; */
    /* width: 90%; */
    height: 1px;
    border: 0;
    border-top: 1px solid #aaa;
    margin: 0.2em 0.3em;
    padding: 0;
}

article > hr {
    display: block;
    height: 1px;
    width: var(--main-width);
    border: 0;
    border-top: 1px solid #ccc;
    margin: 1em 0;
    padding: 0;
}

p.subtitle {
    font-style: italic;
    margin-top: 1rem;
    margin-bottom: 1rem;
    /* font-size: 1.8rem; */
    display: block;
    line-height: 1;
}

.danger {
    color: red;
}

article {
    padding-top: 1rem;
    padding-bottom: 1rem;
}

article > p {
    margin-top: 1.0em;
    margin-bottom: 1.0em;
    padding-right: 0;
    vertical-align: baseline;
}

/* Chapter Epigraphs */
div.epigraph {
    margin: 5em 0;
}

div.epigraph > blockquote {
    margin-top: 3em;
    margin-bottom: 3em;
}

div.epigraph > blockquote,
div.epigraph > blockquote > p {
    font-style: italic;
}

div.epigraph > blockquote > footer {
    font-style: normal;
}

div.epigraph > blockquote > footer > cite {
    font-style: italic;
}
/* end chapter epigraphs styles */

blockquote {
    font-size: 1.0em;
}

article > blockquote p,
article > blockquote pre {
    width: var(--main-width);
    margin-right: 40px;
}

blockquote footer {
    width: var(--main-width);
    font-size: 1.1em;
    text-align: right;
}

article > p,
article > h1,
article > h2,
article > h3,
article > footer,
article > table,
article > div,
article > details,
article > .katex-display {
    width: var(--main-width);
}

img,
figure,
table,
article > div,
article > .katex-display
article > footer {
    break-inside: avoid;
}

/* 50 + 5 == 55, to be the same width as paragraph
[fixme] sidebars inside lists are rendered sad. */
article > dl,
article > ol,
article > ul,
article > pre {
    width: calc(var(--main-width) + 0.5%); /* [hack] where is the 0.5 coming from? */
    -webkit-padding-start: 5%;
}

dt:not(:first-child),
li:not(:first-child) {
    margin-top: 0.25rem;
}

figure {
    padding: 0;
    border: 0;
    font-size: 100%;
    font: inherit;
    vertical-align: baseline;
    max-width: var(--main-width);
    -webkit-margin-start: 0;
    -webkit-margin-end: 0;
    margin: 0 0 0 0;
}



figure.fullwidth figcaption {
    margin-right: 0;
    padding-left: 0;
    float: none;
    width: var(--main-width);
}

/* Links: replicate underline that clears descenders */
/* a:link,
a:visited {
    color: inherit;
} */

.no-tufte-underline:link {
    background: unset;
    text-shadow: unset;
}

/* a:link, .tufte-underline, .hover-tufte-underline:hover {
    text-decoration: none;
    background: -webkit-linear-gradient(#fffff8, #fffff8), -webkit-linear-gradient(#fffff8, #fffff8), -webkit-linear-gradient(currentColor, currentColor);
    background: linear-gradient(#fffff8, #fffff8), linear-gradient(#fffff8, #fffff8), linear-gradient(currentColor, currentColor);
    -webkit-background-size: 0.05em 1px, 0.05em 1px, 1px 1px;
    -moz-background-size: 0.05em 1px, 0.05em 1px, 1px 1px;
    background-size: 0.05em 1px, 0.05em 1px, 1px 1px;
    background-repeat: no-repeat, no-repeat, repeat-x;
    text-shadow: 0.03em 0 #fffff8, -0.03em 0 #fffff8, 0 0.03em #fffff8, 0 -0.03em #fffff8, 0.06em 0 #fffff8, -0.06em 0 #fffff8, 0.09em 0 #fffff8, -0.09em 0 #fffff8, 0.12em 0 #fffff8, -0.12em 0 #fffff8, 0.15em 0 #fffff8, -0.15em 0 #fffff8;
    background-position: 0% 93%, 100% 93%, 0% 93%;
} */

@media screen and (-webkit-min-device-pixel-ratio: 0) {
    a:link, .tufte-underline, .hover-tufte-underline:hover {
        background-position-y: 87%, 87%, 87%;
    }
}

/* a:link::selection,
a:link::-moz-selection {
    text-shadow: 0.03em 0 #b4d5fe, -0.03em 0 #b4d5fe, 0 0.03em #b4d5fe, 0 -0.03em #b4d5fe, 0.06em 0 #b4d5fe, -0.06em 0 #b4d5fe, 0.09em 0 #b4d5fe, -0.09em 0 #b4d5fe, 0.12em 0 #b4d5fe, -0.12em 0 #b4d5fe, 0.15em 0 #b4d5fe, -0.15em 0 #b4d5fe;
    background: #b4d5fe;
} */

/* Sidenotes, margin notes, figures, captions */
img {
    max-width: 100%;
}

.sidenote,
.marginnote,
figcaption {
    float: right;
    clear: right;
    margin-right: calc(0% - var(--sidebar-width) - var(--sidebar-margin));
    width: var(--sidebar-width);
    margin-top: 0.0rem;
    margin-bottom: 0.8rem;
    font-size: 0.8em;
    line-height: 1.3;
    vertical-align: baseline;
    position: relative;
    /* margin: 1em 0; */
    /* border: 1px solid #dddddd; */
    /* background-color: white; */
    padding-left: 1rem;
    /* padding: 1rem; */
    break-inside: avoid;
    box-sizing: content-box;
}

article > figure.sidefigure {
    float: right;
    clear: right;
    width: calc(0.7 * (var(--sidebar-width)));
    margin-right: 26px; /* [todo] where does this number come from!? */
    padding-left: 0em;
    max-width: unset;
}

figure.sidefigure > figcaption {
    float: none;
    margin-right: 0;
    width: auto;
    font-size: 0.8em;
    padding-left: 0rem;
}

.sidenote-number {
    counter-increment: sidenote-counter;
}

.sidenote-number:after,
.sidenote:before {
    position: relative;
    vertical-align: baseline;
}

.sidenote-number:after {
    content: counter(sidenote-counter);
    font-size: 0.8em;
    top: -0.4em;
    left: 0.08em;
}

.sidenote:before {
    content: counter(sidenote-counter) " ";
    font-size: 0.8em;
    top: -0.4em;
}

blockquote .sidenote,
blockquote .marginnote {
    margin-right: -82%;
    min-width: 59%;
    text-align: left;
}

div.fullwidth,
table.fullwidth {
    width: 100%;
}

div.table-wrapper {
    overflow-x: auto;
    /* font-family: "Trebuchet MS", "Gill Sans", "Gill Sans MT", sans-serif; */
}

h1 > code,
h2 > code,
h3 > code {
    font-size: 0.80em;
}

.marginnote > code,
.sidenote > code {
    font-size: 1rem;
}

/* pre > code {
    font-size: 0.9rem;
    width: 52.5%;
    margin-left: 2.5%;
    overflow-x: auto;
    display: block;
}

pre.fullwidth > code {
    width: 90%;
} */

/* pre >  */

.fullwidth {
    max-width: 100%;
    clear:both;
}

span.newthought {
    font-variant: small-caps;
    font-size: 1.2em;
}

input.margin-toggle {
    display: none;
}

label.sidenote-number {
    display: inline;
}

label.margin-toggle:not(.sidenote-number) {
    display: none;
}

.iframe-wrapper {
    position: relative;
    padding-bottom: 56.25%; /* 16:9 */
    padding-top: 25px;
    height: 0;
}

.iframe-wrapper iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

figcaption p,
.sidenote p,
.marginnote p {
    margin: 0;
}

li > p {
  margin: 0;
}

/* Abbreviations should not be underlined. */
abbr[title] {
    border-bottom: none !important;
    cursor: inherit !important;
    text-decoration: none !important;
}

@media (max-width: 500px) {
    body {
        width: 90%;
        padding-left: 8%;
        padding-right: 8%;
    }

    hr,
    article > p,
    article > footer,
    article > table,
    article > div,
    article > .katex-display {
        width: 100%;
    }

    /* pre > code {
        width: 97%;
    } */

    article > dl,
    article > ol,
    article > ul,
    article > pre {
        width: 90%;
    }

    figure {
        max-width: 90%;
    }

    figcaption,
    figure.fullwidth figcaption {
        margin-right: 0%;
        width: unset;
        float: none;
        max-width: none;
    }



    blockquote {
        margin-left: 1.5em;
        margin-right: 0em;
    }

    blockquote p,
    blockquote footer,
    blockquote pre {
        width: 100%;
    }

    label.margin-toggle:not(.sidenote-number) {
        display: inline;
    }

    .sidenote,
    .marginnote {
        display: none;
    }

    .margin-toggle:checked + .sidenote,
    .margin-toggle:checked + .marginnote {
        display: block;
        float: left;
        left: 1rem;
        clear: both;
        width: 95%;
        margin: 1rem 2.5%;
        vertical-align: baseline;
        position: relative;
    }

    label {
        cursor: pointer;
    }

    div.table-wrapper,
    table {
        width: 85%;
    }

    img {
        width: 100%;
    }
}
